xenomai (2.6.4+dfsg-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Added Conflicts to libxenomai1 (<< 2.6.4). Closes: #806145

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Wed, 23 Dec 2015 09:02:16 +0100

xenomai (2.6.4+dfsg-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version without debian 
    directory (+dfsg). (Closes:  #791980)
  * Could be built. No gzip problem. (Closes: #802420)
  * Added Leopold Palomo-Avellaneda as Uploaders.
  * Bump Standards to 3.9.6.
  * Change to dh-autoreconf
  * Renamed xenomai-runtime by xenomai-system-tools
  * Added libjs-jquery to xenomai-doc depends
  * Enable fortify and change install libdir to multiarch
  * Updated copyright file
  * Deleting installed extra-license-file
  * Added jquery.js source
  * Added documentation under doc-base
  * Dropping udev part. Manage by dh_installudev
  * Renaming linux-patch-xenomai by xenomai-kernel-source
  * Added init file
  * Added modprobe config
  * Correct lintian-overrides files
  * Dropped /dev from the lib package. It's managed by udev in another package
  * Added dependencies to xenomai-kernel-source
  * Tunning suggestions and conflicts of the packages
  * Delete old no used patches
  * Update README
  * Added patch to build with kernels >= 3.11

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Tue, 09 Jun 2015 10:26:26 +0200

xenomai (2.6.3-2) unstable; urgency=low

  * Add usr/lib/pkgconfig to libxenomai-dev.install (Closes: #729060)

 -- Roland Stigge <stigge@antcom.de>  Fri, 08 Nov 2013 14:49:26 +0100

xenomai (2.6.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 17 Oct 2013 16:00:44 +0200

xenomai (2.6.2.1-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.4
  * debian/compat: 9
  * Fix build on powerpcspe by patching upstream
  * Malfunction of FD_ISSET with RTDM is fixed upstream, thanks
    to Alexandre Duch and Gilles Chanteperdrix (Closes: #695657)

 -- Roland Stigge <stigge@antcom.de>  Thu, 09 May 2013 18:31:31 +0200

xenomai (2.6.2.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 26 Jan 2013 15:07:20 +0100

xenomai (2.6.2-1) experimental; urgency=low

  * New upstream release
  * Added powerpcspe to list of supported architectures

 -- Roland Stigge <stigge@antcom.de>  Thu, 27 Dec 2012 13:08:39 +0100

xenomai (2.6.1-git20121216-1) experimental; urgency=low

  * New upstream pre-release

 -- Roland Stigge <stigge@antcom.de>  Sun, 16 Dec 2012 11:44:21 +0100

xenomai (2.6.1-2) experimental; urgency=low

  * Removed obsolete Debian patches
  * Include newer ipipe patches into binary package

 -- Roland Stigge <stigge@antcom.de>  Mon, 13 Aug 2012 14:43:44 +0200

xenomai (2.6.1-1) experimental; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 02 Aug 2012 17:40:54 +0200

xenomai (2.6.0-2) unstable; urgency=low

  * Add patch from upstream, fixing a bug in clock_nanosleep (Closes: #677633)
    Comment from patch author:
      Note however that with xenomai, a signal received during nanosleep will
      trigger a switch to secondary mode. So, this usage is only possible for
      a real-time thread in exceptional conditions (to handle an error for
      instance), not when latency matters.
  * debian/control: Standards-Version: 3.9.3

 -- Roland Stigge <stigge@antcom.de>  Sat, 16 Jun 2012 17:10:54 +0200

xenomai (2.6.0-1) unstable; urgency=low

  * New upstream release
  * Needed to autoreconf, adding necessary build-dependencies

 -- Roland Stigge <stigge@antcom.de>  Sun, 06 Nov 2011 15:32:52 +0100

xenomai (2.5.6-3) unstable; urgency=low

  * Added -fno-ommit-frame-pointer to build, necessary from gcc 4.6 on
    (Closes: #637425)
  * Removed *.la files from libxenomai-dev

 -- Roland Stigge <stigge@antcom.de>  Fri, 12 Aug 2011 20:39:11 +0200

xenomai (2.5.6-2) unstable; urgency=low

  * Removed usage of dh-kpatches in the build process (and from Build-Depends)
    since this package will probably be removed from Debian (and make-kpkg
    doesn't support automatic patching anymore anyway)
  * Standards-Version: 3.9.2
  * debhelper compatibility level 8

 -- Roland Stigge <stigge@antcom.de>  Wed, 04 May 2011 11:09:19 +0200

xenomai (2.5.6-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Thu, 07 Apr 2011 17:52:24 +0200

xenomai (2.5.5.2-1) unstable; urgency=low

  * New upstream release (Closes: #593585, #593586)
  * Using scripts/prepare-patch.sh now instead of debian/prepare-patch.sh

 -- Roland Stigge <stigge@antcom.de>  Sun, 12 Dec 2010 19:45:39 +0100

xenomai (2.5.4-3) unstable; urgency=low

  * Fix x86 boot problems (Closes: #594914)

 -- Roland Stigge <stigge@antcom.de>  Sat, 04 Sep 2010 14:26:25 +0200

xenomai (2.5.4-2) unstable; urgency=low

  * Fixed runlevels in debian/libxenomai1.xenomai.init (Closes: #592360)

 -- Roland Stigge <stigge@antcom.de>  Thu, 19 Aug 2010 23:25:42 +0200

xenomai (2.5.4-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.9.1

 -- Roland Stigge <stigge@antcom.de>  Wed, 04 Aug 2010 22:29:28 +0200

xenomai (2.5.3-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format

 -- Roland Stigge <stigge@antcom.de>  Sat, 15 May 2010 20:13:42 +0200

xenomai (2.5.3-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Sat, 15 May 2010 20:13:10 +0200

xenomai (2.5.2-2) unstable; urgency=low

  * Added patch from Stefan Kisdaroczi <kisda@hispeed.ch>:
    - Create group xenomai on install
    - Added a init-script which sets /sys/.../xenomai_gid if
      /sys/.../xenomai_gid exists
    - Added a modprobe-script that adds the xenomai_gid parameter if the user
      did call modprobe without xenomai_gid=

 -- Roland Stigge <stigge@antcom.de>  Sun, 02 May 2010 17:06:14 +0200

xenomai (2.5.2-1) unstable; urgency=low

  * New upstream release

 -- Roland Stigge <stigge@antcom.de>  Mon, 29 Mar 2010 20:51:07 +0200

xenomai (2.5.1-4) unstable; urgency=low

  * Added patches by Stefan Kisdaroczi <kisda@hispeed.ch>:
    - debian/copyright: Typo and email address (Closes: #571099)
    - debian/control: ia64 support removed (Closes: #571104)
    - debian/rules: Added dpkg-cross support

 -- Roland Stigge <stigge@antcom.de>  Wed, 24 Feb 2010 22:20:10 +0100

xenomai (2.5.1-3) unstable; urgency=low

  * xenomai-runtime: Replaced "xenomai-" prefixed executables with
    wrapper script /usr/bin/xeno to call original executables from
    /usr/lib/xenomai/, e.g. "xeno latency"
  * debian/prepare-patch.sh: Synchronized from upstream (Closes: #569721)
  * Removed 2.6.24 adeos-ipipe patches
  * Enabled patching/use of Debian's kernel (2.6.32)

 -- Roland Stigge <stigge@antcom.de>  Sun, 14 Feb 2010 13:35:15 +0100

xenomai (2.5.1-2) unstable; urgency=low

  * xenomai-runtime: Renamed /usr/bin/* to /usr/bin/xenomai-* (Closes: #569357)

 -- Roland Stigge <stigge@antcom.de>  Fri, 12 Feb 2010 21:18:00 +0100

xenomai (2.5.1-1) unstable; urgency=low

  * New upstream release (Closes: #553334, #566566, #536731)
  * debian/control: Standards-Version: 3.8.4

 -- Roland Stigge <stigge@antcom.de>  Sat, 06 Feb 2010 11:05:50 +0100

xenomai (2.4.8-2) unstable; urgency=low

  * debian/libxenomai1.{postinst,postrm}: "set -e"
  * debian/control: linux-patch-xenomai: Section: kernel

 -- Roland Stigge <stigge@antcom.de>  Wed, 24 Jun 2009 17:47:41 +0200

xenomai (2.4.8-1) unstable; urgency=low

  * New upstream release
    - includes limits.h include as in patch from Peter Green (Closes: #527654)
  * debian/control:
    - Standards-Version: 3.8.2

 -- Roland Stigge <stigge@antcom.de>  Mon, 22 Jun 2009 22:50:23 +0200

xenomai (2.4.4-3) unstable; urgency=low

  * debian/rules: Fixed concurrent ./configure + make runs, thanks to Albin
    Tonnerre (Closes: #486461)

 -- Roland Stigge <stigge@antcom.de>  Mon, 16 Jun 2008 11:44:01 +0200

xenomai (2.4.4-2) unstable; urgency=low

  * Backported kernel 2.6.24 patches for x86, powerpc and arm (for lenny) from
    xenomai 2.4.3
  * debian/control: Standards-Version: 3.8.0

 -- Roland Stigge <stigge@antcom.de>  Thu, 12 Jun 2008 14:27:12 +0200

xenomai (2.4.4-1) unstable; urgency=low

  * New upstream release
  * debian/rules: configure --enable-arm-mach=generic for ARM
  * debian/control: Standards-Version: 3.8.0

 -- Roland Stigge <stigge@antcom.de>  Mon, 09 Jun 2008 14:28:01 +0200

xenomai (2.4.4~svn20080526-1) experimental; urgency=low

  * New upstream snapshot

 -- Roland Stigge <stigge@antcom.de>  Mon, 26 May 2008 11:58:30 +0200

xenomai (2.4.3-7) unstable; urgency=low

  * Included patch from Riku Voipio to fix ARM compile issues
    (Closes: #477720)

 -- Roland Stigge <stigge@antcom.de>  Thu, 24 Apr 2008 23:18:01 +0200

xenomai (2.4.3-6) unstable; urgency=low

  * Added lintian override for recursive include directories (necessary
    according to upstream)
  * Added missing man pages (can be removed when integrated upstream)
  * debian/rules: Fixed klatency/run script to be proper shell script

 -- Roland Stigge <stigge@antcom.de>  Tue, 22 Apr 2008 12:23:22 +0200

xenomai (2.4.3-5) unstable; urgency=low

  * Install xeno-config into libxenomai-dev where the executable is

 -- Roland Stigge <stigge@antcom.de>  Sat, 19 Apr 2008 22:15:07 +0200

xenomai (2.4.3-4) unstable; urgency=low

  * Move /usr/lib/xenomai to original upstream /usr/share/xenomai

 -- Roland Stigge <stigge@antcom.de>  Fri, 18 Apr 2008 19:51:49 +0200

xenomai (2.4.3-3) unstable; urgency=low

  * debian/rules: Separated prepare-patch.sh calls for individual
    architectures (Closes: #473098)

 -- Roland Stigge <stigge@antcom.de>  Thu, 10 Apr 2008 10:01:33 +0200

xenomai (2.4.3-2) unstable; urgency=low

  * Enable x86 patches for both i386 and amd64 (Closes: #473098)

 -- Roland Stigge <stigge@antcom.de>  Tue, 01 Apr 2008 10:04:51 +0200

xenomai (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Added debian/watch

 -- Roland Stigge <stigge@antcom.de>  Tue, 25 Mar 2008 14:13:50 +0100

xenomai (2.4.2-3) unstable; urgency=low

  * Fixed bashisms by using "#!/bin/bash" (Closes: #471871)

 -- Roland Stigge <stigge@antcom.de>  Sat, 22 Mar 2008 17:01:11 +0100

xenomai (2.4.2-2) unstable; urgency=low

  * debian/copyright: Refined Copyrights
  * debian/control: Added ia64 to remaining relevant Architecture lines
  * debian/rules: Moved DEBIAN/rules adjustment for architecture independent
    target to arch-indep target

 -- Roland Stigge <stigge@antcom.de>  Thu, 28 Feb 2008 20:55:23 +0100

xenomai (2.4.2-1) unstable; urgency=low

  * Initial revision for the Debian Archive
  * debian/control:
    - Reorganized binary package structure
    - Standards-Version: 3.7.3

 -- Roland Stigge <stigge@antcom.de>  Wed, 20 Feb 2008 18:06:49 +0100

xenomai (2.4.0-0+rc6) unstable; urgency=low

  * Update prepare-patch.sh to use combined x86/i386 Xenomai tree.
  * Split patch generation out of build-stamp so that it only gets
    called once along with the configure.
  * In pursuit of silencing lintian:
    * Rename top level ChangeLog to changelog when installed.
    * Add ldconfig to post install/remove scripts.
    * Compress changelogs.

 -- Paul Corner <paul_c@gna.org>  Wed, 14 Nov 2007 21:48:27 +0000

xenomai (2.3.50-05+r2299) unstable; urgency=low

  * Add top level ChangeLog and CREDITS to each package.
  * rebuilt from SVN tag 2299

 -- Paul Corner <paul_c@gna.org>  Thu, 15 Mar 2007 11:03:14 +0000

xenomai (2.3.50-04) unstable; urgency=low

  * Remove demo & snippets from the patches - Installed in xenomai-dev
  * linux-patches-xenomai lists patches, architectures, & kernel version
    in the package description meta-data.

 -- Paul Corner <paul_c@gna.org>  Mon, 12 Mar 2007 17:30:00 +0000

xenomai (2.3.50-03) unstable; urgency=low

  * Revision 2281
  * Fix bug in postinst script - Need to overwrite the symlink

 -- Paul Corner <paul_c@gna.org>  Sun, 11 Mar 2007 20:30:00 +0000

xenomai (2.3.50-02) unstable; urgency=low

  * Apply patch to fix includedir bug - rules updated..
  * debian/ contents added to EXTRA_DIST.

 -- Paul Corner <paul_c@gna.org>  Wed,  7 Mar 2007 23:29:00 +0000

xenomai (2.3.50-01) unstable; urgency=low

  * Initial build.
  * General notes: prepare-patch.sh generates a per-kernel/arch
    for use with kernel-package - A single patch is needed for
    apply/unapply steps. The scripts/prepare-kernel.sh appends a
    few lines to some Makefiles which would cause problems on the
    unapply stage.

 -- Paul Corner <paul_c@gna.org>  Sat,  3 Mar 2007 12:00:00 +0000
